| IOLink Python 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Public Attributes | Properties | List of all members
iolink.iolink.ViewOriginExtension Class Reference
Inheritance diagram for iolink.iolink.ViewOriginExtension:

## Public Member Functions
| __init__ (self, *args, **kwargs)
| uid (self)
| parent_count (self)
| parent (self, idx)
| data_origin (self)
| display_name (self)
| to_string (self)
| __repr__ (self)

## Static Public Member Functions
| cast (extension)

## Static Public Attributes
| EXTENSION_ID = _iolink.ViewOriginExtension_EXTENSION_ID

## Properties
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
Properties inherited from iolink.iolink.Extension
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")

## Detailed Description

    Extension used to access view's origins if it exists.
    Views can be created from scratch, but also
    from one or many other views.
    This extension provides methods which allow to build the dependency tree
    of current view. It also helps to retrieve information to know data origin and
    to identify a view between others.

## Constructor & Destructor Documentation

## ◆ __init__()

iolink.iolink.ViewOriginExtension.__init__ | ( |  | self,
|  | * | args,
|  | ** | kwargs
| ) |  |

Reimplemented from iolink.iolink.Extension.

## Member Function Documentation

## ◆ __repr__()

iolink.iolink.ViewOriginExtension.__repr__ | ( |  | self | ) |

Reimplemented from iolink.iolink.Extension.

## ◆ cast()

iolink.iolink.ViewOriginExtension.cast | ( |  | extension | ) |
| static

        Upcast a generic extension to this specific type.

        :type extension: :py:class:`Extension`
        :param extension: The extension to cast.
        :rtype: :py:class:`ViewOriginExtension`
        :return: The upcasted extension. This will be null if no upcasting is possible.

## ◆ data_origin()

iolink.iolink.ViewOriginExtension.data_origin | ( |  | self | ) |

        Returns the data origin of current view

        :raises: Error if data origin is not available

## ◆ display_name()

iolink.iolink.ViewOriginExtension.display_name | ( |  | self | ) |

        Returns the name of the current view to display

        :raises: Error if display name is not available

## ◆ parent()

iolink.iolink.ViewOriginExtension.parent | ( |  | self,
|  |  | idx
| ) |  |

        Returns, for the given index, the viewOrigin extension of the parent used
        to create the current view.

        :type idx: int
        :param idx: index of parent to retrieve
        :raises: Error if the index is out of range
        :rtype: :py:class:`ViewOriginExtension`
        :return: a ViewOrigin extension which cannot be null

## ◆ parent_count()

iolink.iolink.ViewOriginExtension.parent_count | ( |  | self | ) |

        Returns the count of parents used to create
        the current view.

        :rtype: int
        :return: count of view's parents

## ◆ to_string()

iolink.iolink.ViewOriginExtension.to_string | ( |  | self | ) |

    String representation of the extension.

## ◆ uid()

iolink.iolink.ViewOriginExtension.uid | ( |  | self | ) |

        Returns an unique identifier for current view

        :rtype: int
        :return: view identifier

The documentation for this class was generated from the following file:

- Release/python/iolink/iolink.py